Packages - Packaging Request #2705

twinkle-qt5
2020-04-16 02:01 PM - righ

Status: open % Done: 0%
Priority: wish

Assignee:

Category:

Description

Given the lack of good SIP softphones in Parabola repos (https:/labs.parabola.nu/issues/2657), | think it might be helpful to consider
packaging Twinkle. It has few small dependencies (c++ libraries) that would also need to be maintained (libilbc, ccrtp and libzrtpcpp),
but it's not a big mess like with linphone. It seems to be licensed under GPLv2.0.

Project webpage: http://twinkle.dolezel.info/
Source code: https://github.com/LubosD/twinkle
AUR's PKGBUILD: https://aur.archlinux.org/cgit/aur.qgit/tree/PKGBUILD ?h=twinkle-gt5

History

#1 - 2020-04-16 09:38 PM - righ

| suggest building it without the ilbc support, because it doesn't seem to compile with the free library (the recommended one is non-free).

#2 - 2020-05-10 06:46 AM - bill-auger

FWIW there are two SIP phones in the parabola repos that i know
of: jami and jitsi

#3 - 2020-05-17 01:45 AM - freemor

- Priority changed from bug to wish

Took a look at this

Easy to build.

Only 2 missing depends. both easy to build and part of the GNU SIP stack so licensing is most likely fine.
both are trivial to build.

ilbc easy to turn off.

No Video support. This is purely a VolP not a video chat.
Works well.

More testing required..

Does it build for arm/i686?

Are people still interested given no video?

Need to test the ZRTP with another party to be sure it works.

Reasons we might go with this:

jitsi is a increasingly complicated to build thing with little to no love from upstream
linphone went bye-bye due to crazy depends

Jami, is still quite buggy and not moving forward as quickly as one might like.

Reasons not to build:

meet.jit.si - now supported in iceweasel due to lots of parabola dev love

Tox clients work fine for me. (They are my goto daily messenger and Video chat have been since linphone went bye-bye) and there are several in the
repos already

pjsua - cli client probably does about the same a Twinkle and is in the repo already (Tho | don't recall it supporting ZRTP)
